# Passwortbewertung

📆 **Fällig: 26.03.2023** 📆

## Lernziel

Einfache String-Verarbeitung.

## Aufgabe

Gehen Sie in das Paket [pr2.auffrischung.password](../sources/src/main/java/pr2/auffrischung/password).

Schreiben Sie eine Klasse `PasswortChecker` mit einer Methode `checkPassword`, die die Qualität von Passwörtern bewertet. Die Methode vergibt Punkte für bestimmte Qualitätskriterien des Passworts. Es gibt jeweils einen Punkt für:

  * Das Passwort ist mindestens 8 Zeichen lang.
  * Das Passwort enthält Groß- und Kleinbuchstaben.
  * Das Passwort enthält Buchstaben und Zahlen.
  * Das Passwort enthält mindestens eines der Sonderzeichen `!"()%`

Testen Sie die Methode mit verschiedenen Passwörtern.


## Abgabe (optional)

__Sie müssen keine Lösung für diese Aufgabe einreichen.__

Sie können Ihre Lösung aber auf die Konformität mit den Programmierstandards testen. Hierzu gehen Sie wie folgt vor:

  1. Öffnen Sie eine Kommandozeile (Terminal).
  2. Gehen Sie in Ihr Working Directory.
  3. Rufen Sie mit `bin/submit.sh` das Skript auf, das die Lösungen testet und kompiliert. Wenn Maven eine Fehlermeldung zeigt, beheben Sie diese zuerst, bevor Sie mit dem nächsten Schritt fortfahren.